% Autor: Daniel Serra Freese
% Trabajo Final de Master de Ingenieria Acustica 
%
%   Entradas:
%   
%   Autor: Daniel Serra Freese
%   e-mail: danielserrafreese@gmail.com
%
%   Ultima resvision 7 septiembre 2016

%% Datos del proyecto
projectName = '';  % Para renombrado automatico dejar string vacio
autor = 'Daniel Serra Freese';
comentario = 'danielserrafreese@gmail.com';

fecha = datestr(now,30); % Formato 31: 'yyyyymmddTHHMMSS'

N = 10000; % Cantidad de dispersores
compresion = 0.5/1000; % [mm]


%% Crear proyecto
% Creamos carpeta del proyecto

cd c:\users\daniel\elastografias\elab\proyectos

if isempty(projectName)     % Si no se ha personalizado el nombre
    projectName =  fecha;   % ponemos la fecha actual
end

[s,mess] = mkdir(['elab ' projectName]);      % Creamos la carpeta del proyecto


if ~isempty(mess)
    error(mess)
else
    disp(['La carpeta del proyecto se ha creado con exito: ','elab ' projectName])
    cd(['elab ' projectName])  % Entramos en el proyecto
end

%% Archivo de informacion

% open the file with write permission
fid = fopen('info.txt', 'wt+');

info_00 = ['Informacion general del proyecto:'];
info_01 = ['Nombre del proyecto: ' projectName ];
info_02 = ['Autor del proyecto: ', autor];
info_03 = ['Comentarios: ', comentario];
info_04 = ['Fecha de creacion del proyecto: ', fecha];

fprintf(fid,info_00);
fprintf(fid,'\n\n\t');
fprintf(fid,info_01);
fprintf(fid,'\n\t');
fprintf(fid,info_02);
fprintf(fid,'\n\t');
fprintf(fid,info_03);
fprintf(fid,'\n\t');
fprintf(fid,info_04);
fprintf(fid,'\n\n');

fclose(fid);

%% Ejecutar FIELD II
field_init

%% Crear phantom
disp('Creando phantoms...')

[phantom_pre, phantom_post, phantom_amp] = elab_phantom(N,compresion);

disp('Hecho!')


%% Calcular sonogramas

disp('Calculando sonogramas...')

elab_sonograma();

disp('Hecho!')


%% Calcular elastograma

disp('Calculando elastograma...')

elab_elastograma();

disp('Hecho!')

